<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>string_to_values &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>string_to_values
      <small>Subroutine</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.3% of total for procedures.">68 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/mstrings.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/mstrings.f03.html'>mstrings.f03</a></li>
    
     <li><a href='../module/m_strings.html'>M_strings</a></li>
    
  
     <li class="active">string_to_values</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
public subroutine string_to_values(line, iread, values, inums, delims, ierr)
    
    
   
</h2>
    
  


    
    <h2>NAME</h2>
<div class="codehilite"><pre><span></span><code>  string_to_values(3f) - [M_strings:NUMERIC] read a string representing numbers into a numeric array
</code></pre></div>

<h2>SYNOPSIS</h2>
<div class="codehilite"><pre><span></span><code>   subroutine string_to_values(line,iread,values,inums,delims,ierr)

    character(len=*) :: line
    integer          :: iread
    real             :: values(*)
    integer          :: inums
    character(len=*) :: delims
    integer          :: ierr
</code></pre></div>

<h2>DESCRIPTION</h2>
<div class="codehilite"><pre><span></span><code><span class="nv">This</span> <span class="nv">routine</span> <span class="nv">can</span> <span class="nv">take</span> <span class="nv">a</span> <span class="nv">string</span> <span class="nv">representing</span> <span class="nv">a</span> <span class="nv">series</span> <span class="nv">of</span> <span class="nv">numbers</span> <span class="nv">and</span>
<span class="nv">convert</span> <span class="nv">it</span> <span class="nv">to</span> <span class="nv">a</span> <span class="nv">numeric</span> <span class="nv">array</span> <span class="nv">and</span> <span class="k">return</span> <span class="nv">how</span> <span class="nv">many</span> <span class="nv">numbers</span> <span class="nv">were</span> <span class="nv">found</span>.
</code></pre></div>

<h2>OPTIONS</h2>
<div class="codehilite"><pre><span></span><code>   LINE     Input string containing numbers
   IREAD    maximum number of values to try to read from input string
</code></pre></div>

<h2>RESULTS</h2>
<div class="codehilite"><pre><span></span><code>   <span class="nv">VALUES</span>   <span class="nv">real</span> <span class="nv">array</span> <span class="nv">to</span> <span class="nv">be</span> <span class="nv">filled</span> <span class="nv">with</span> <span class="nv">numbers</span>
   <span class="nv">INUMS</span>    <span class="nv">number</span> <span class="nv">of</span> <span class="nv">values</span> <span class="nv">successfully</span> <span class="nv">read</span> <span class="ss">(</span><span class="nv">before</span> <span class="nv">error</span> <span class="nv">occurs</span>
            <span class="k">if</span> <span class="nv">one</span> <span class="nv">does</span><span class="ss">)</span>
   <span class="nv">DELIMS</span>   <span class="nv">delimiter</span> <span class="nv">character</span><span class="ss">(</span><span class="nv">s</span><span class="ss">)</span>, <span class="nv">usually</span> <span class="nv">a</span> <span class="nv">space</span>. <span class="nv">must</span> <span class="nv">not</span> <span class="nv">be</span> <span class="nv">a</span>
            <span class="nv">null</span> <span class="nv">string</span>. <span class="k">If</span> <span class="nv">more</span> <span class="nv">than</span> <span class="nv">one</span> <span class="nv">character</span>, <span class="nv">a</span> <span class="nv">space</span> <span class="nv">must</span>
            <span class="nv">not</span> <span class="nv">be</span> <span class="nv">the</span> <span class="nv">last</span> <span class="nv">character</span> <span class="nv">or</span> <span class="nv">it</span> <span class="nv">will</span> <span class="nv">be</span> <span class="nv">ignored</span>.
   <span class="nv">IERR</span>     <span class="nv">error</span> <span class="nv">flag</span> <span class="ss">(</span><span class="mi">0</span><span class="o">=</span><span class="nv">no</span> <span class="nv">error</span>, <span class="k">else</span> <span class="nv">column</span> <span class="nv">number</span> <span class="nv">string</span> <span class="nv">starts</span>
            <span class="nv">at</span> <span class="nv">that</span> <span class="nv">error</span> <span class="nv">occurred</span> <span class="nv">on</span><span class="ss">)</span>.
</code></pre></div>

<h2>EXAMPLE</h2>
<div class="codehilite"><pre><span></span><code><span class="nt">Sample</span> <span class="nt">Program</span><span class="o">:</span>

  <span class="nt">program</span> <span class="nt">demo_string_to_values</span>
   <span class="nt">use</span> <span class="nt">M_strings</span><span class="o">,</span> <span class="nt">only</span> <span class="o">:</span> <span class="nt">string_to_values</span>
   <span class="nt">character</span><span class="o">(</span><span class="nt">len</span><span class="o">=</span><span class="nt">80</span><span class="o">)</span>  <span class="o">::</span> <span class="nt">s</span><span class="o">=</span><span class="s1">&#39; 10 20e3;3.45 -400.3e-2;1234; 5678 &#39;</span>
   <span class="nt">integer</span><span class="o">,</span><span class="nt">parameter</span>  <span class="o">::</span> <span class="nt">isz</span><span class="o">=</span><span class="nt">10</span>
   <span class="nt">real</span>               <span class="o">::</span> <span class="nt">array</span><span class="o">(</span><span class="nt">isz</span><span class="o">)</span>

   <span class="nt">call</span> <span class="nt">string_to_values</span><span class="o">(</span><span class="nt">s</span><span class="o">,</span><span class="nt">10</span><span class="o">,</span><span class="nt">array</span><span class="o">,</span><span class="nt">inums</span><span class="o">,</span><span class="s1">&#39; ;&#39;</span><span class="o">,</span><span class="nt">ierr</span><span class="o">)</span>
   <span class="nt">call</span> <span class="nt">reportit</span><span class="o">()</span>

   <span class="nt">call</span> <span class="nt">string_to_values</span><span class="o">(</span><span class="s1">&#39;10;2.3;3.1416&#39;</span><span class="o">,</span><span class="nt">isz</span><span class="o">,</span><span class="nt">array</span><span class="o">,</span><span class="nt">inums</span><span class="o">,</span><span class="s1">&#39; ;&#39;</span><span class="o">,</span><span class="nt">ierr</span><span class="o">)</span>
   <span class="nt">call</span> <span class="nt">reportit</span><span class="o">()</span>

   <span class="nt">contains</span>
      <span class="nt">subroutine</span> <span class="nt">reportit</span><span class="o">()</span>
         <span class="nt">write</span><span class="o">(*,*)</span><span class="s1">&#39;string_to_values:&#39;</span>
         <span class="nt">write</span><span class="o">(*,*)</span><span class="s1">&#39;input string.............&#39;</span><span class="o">,</span><span class="nt">trim</span><span class="o">(</span><span class="nt">s</span><span class="o">)</span>
         <span class="nt">write</span><span class="o">(*,*)</span><span class="s1">&#39;number of values found...&#39;</span><span class="o">,</span><span class="nt">inums</span>
         <span class="nt">write</span><span class="o">(*,*)</span><span class="s1">&#39;values...................&#39;</span><span class="o">,(</span><span class="nt">array</span><span class="o">(</span><span class="nt">ii</span><span class="o">),</span><span class="nt">ii</span><span class="o">=</span><span class="nt">1</span><span class="o">,</span><span class="nt">inums</span><span class="o">)</span>
      <span class="nt">end</span> <span class="nt">subroutine</span> <span class="nt">reportit</span>
  <span class="nt">end</span> <span class="nt">program</span> <span class="nt">demo_string_to_values</span>

<span class="nt">Expected</span> <span class="nt">output</span>

 <span class="nt">string_to_values</span><span class="o">:</span>
 <span class="nt">input</span> <span class="nt">string</span><span class="o">.............</span> <span class="nt">10</span> <span class="nt">20e3</span><span class="o">;</span><span class="nt">3</span><span class="p">.</span><span class="nc">45</span> <span class="nt">-400</span><span class="p">.</span><span class="nc">3e-2</span><span class="o">;</span><span class="nt">1234</span><span class="o">;</span> <span class="nt">5678</span>
 <span class="nt">number</span> <span class="nt">of</span> <span class="nt">values</span> <span class="nt">found</span><span class="o">...</span>           <span class="nt">6</span>
 <span class="nt">values</span><span class="o">...................</span>   <span class="nt">10</span><span class="p">.</span><span class="nc">0000000</span>  <span class="nt">20000</span><span class="p">.</span><span class="nc">0000</span>  <span class="nt">3</span><span class="p">.</span><span class="nc">45000005</span>  <span class="nt">-4</span><span class="p">.</span><span class="nc">00299978</span>  <span class="nt">1234</span><span class="p">.</span><span class="nc">00000</span>  <span class="nt">5678</span><span class="p">.</span><span class="nc">00000</span>
 <span class="nt">string_to_values</span><span class="o">:</span>
 <span class="nt">input</span> <span class="nt">string</span><span class="o">.............</span> <span class="nt">10</span> <span class="nt">20e3</span><span class="o">;</span><span class="nt">3</span><span class="p">.</span><span class="nc">45</span> <span class="nt">-400</span><span class="p">.</span><span class="nc">3e-2</span><span class="o">;</span><span class="nt">1234</span><span class="o">;</span> <span class="nt">5678</span>
 <span class="nt">number</span> <span class="nt">of</span> <span class="nt">values</span> <span class="nt">found</span><span class="o">...</span>           <span class="nt">3</span>
 <span class="nt">values</span><span class="o">...................</span>   <span class="nt">10</span><span class="p">.</span><span class="nc">0000000</span>  <span class="nt">2</span><span class="p">.</span><span class="nc">29999995</span>  <span class="nt">3</span><span class="p">.</span><span class="nc">14159989</span>
</code></pre></div>
    

    <h3>Arguments</h3>
    
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-line%7E8"></span>character(len=*),</td>
  <td>intent(in)</td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>line</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-iread"></span>integer,</td>
  <td>intent(in)</td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>iread</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-values%7E2"></span>real,</td>
  <td>intent(inout)</td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>values</strong>(iread)</td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-inums"></span>integer,</td>
  <td>intent(out)</td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>inums</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-delims"></span>character(len=*),</td>
  <td>intent(in)</td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>delims</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-ierr%7E11"></span>integer,</td>
  <td>intent(out)</td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>ierr</strong></td><td></td>
  
</tr>

</tbody>
</table>

    
    
    
    <br>
    
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Calls</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~string_to_values~~CallsGraph Pages: 1 -->
<svg id="procstring_to_valuesCallsGraph" width="641pt" height="125pt"
 viewBox="0.00 0.00 641.00 124.88" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~string_to_values~~CallsGraph" class="graph" transform="scale(.7904 .7904) rotate(0) translate(4 154)">
<title>proc~~string_to_values~~CallsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-154 807,-154 807,4 -4,4"/>
<!-- proc~string_to_values -->
<g id="proc~~string_to_values~~CallsGraph_node1" class="node">
<title>proc~string_to_values</title>
<polygon fill="none" stroke="#000000" points="91,-76 0,-76 0,-52 91,-52 91,-76"/>
<text text-anchor="middle" x="45.5" y="-61.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">string_to_values</text>
</g>
<!-- interface~string_to_value -->
<g id="proc~~string_to_values~~CallsGraph_node2" class="node">
<title>interface~string_to_value</title>
<g id="a_proc~~string_to_values~~CallsGraph_node2"><a xlink:href=".././interface/string_to_value.html" xlink:title="string_to_value">
<polygon fill="#a7506f" stroke="#a7506f" points="212,-76 127,-76 127,-52 212,-52 212,-76"/>
<text text-anchor="middle" x="169.5" y="-61.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">string_to_value</text>
</a>
</g>
</g>
<!-- proc~string_to_values&#45;&gt;interface~string_to_value -->
<g id="proc~~string_to_values~~CallsGraph_edge1" class="edge">
<title>proc~string_to_values&#45;&gt;interface~string_to_value</title>
<path fill="none" stroke="#000000" d="M91.3207,-64C99.5607,-64 108.2107,-64 116.6309,-64"/>
<polygon fill="#000000" stroke="#000000" points="116.7449,-67.5001 126.7449,-64 116.7448,-60.5001 116.7449,-67.5001"/>
</g>
<!-- proc~a2d -->
<g id="proc~~string_to_values~~CallsGraph_node3" class="node">
<title>proc~a2d</title>
<g id="a_proc~~string_to_values~~CallsGraph_node3"><a xlink:href=".././proc/a2d.html" xlink:title="a2d">
<polygon fill="#d9534f" stroke="#d9534f" points="392,-92 338,-92 338,-68 392,-68 392,-92"/>
<text text-anchor="middle" x="365" y="-77.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">a2d</text>
</a>
</g>
</g>
<!-- interface~string_to_value&#45;&gt;proc~a2d -->
<g id="proc~~string_to_values~~CallsGraph_edge4" class="edge">
<title>interface~string_to_value&#45;&gt;proc~a2d</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M186.2573,-76.1331C201.502,-86.3703 225.0614,-100.2492 248,-106 271.2796,-111.8362 278.4581,-110.6669 302,-106 312.3588,-103.9465 323.1521,-100.1646 332.8178,-96.1092"/>
<polygon fill="#000000" stroke="#000000" points="334.3265,-99.2689 342.0499,-92.0164 331.4895,-92.8696 334.3265,-99.2689"/>
</g>
<!-- proc~a2i -->
<g id="proc~~string_to_values~~CallsGraph_node4" class="node">
<title>proc~a2i</title>
<g id="a_proc~~string_to_values~~CallsGraph_node4"><a xlink:href=".././proc/a2i.html" xlink:title="a2i">
<polygon fill="#d9534f" stroke="#d9534f" points="302,-97 248,-97 248,-73 302,-73 302,-97"/>
<text text-anchor="middle" x="275" y="-82.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">a2i</text>
</a>
</g>
</g>
<!-- interface~string_to_value&#45;&gt;proc~a2i -->
<g id="proc~~string_to_values~~CallsGraph_edge3" class="edge">
<title>interface~string_to_value&#45;&gt;proc~a2i</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M212.1068,-72.481C220.6447,-74.1805 229.5511,-75.9533 237.8851,-77.6122"/>
<polygon fill="#000000" stroke="#000000" points="237.2127,-81.0469 247.7036,-79.5666 238.5793,-74.1816 237.2127,-81.0469"/>
</g>
<!-- proc~a2r -->
<g id="proc~~string_to_values~~CallsGraph_node5" class="node">
<title>proc~a2r</title>
<g id="a_proc~~string_to_values~~CallsGraph_node5"><a xlink:href=".././proc/a2r.html" xlink:title="a2r">
<polygon fill="#d9534f" stroke="#d9534f" points="302,-55 248,-55 248,-31 302,-31 302,-55"/>
<text text-anchor="middle" x="275" y="-40.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">a2r</text>
</a>
</g>
</g>
<!-- interface~string_to_value&#45;&gt;proc~a2r -->
<g id="proc~~string_to_values~~CallsGraph_edge2" class="edge">
<title>interface~string_to_value&#45;&gt;proc~a2r</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M212.1068,-55.519C220.6447,-53.8195 229.5511,-52.0467 237.8851,-50.3878"/>
<polygon fill="#000000" stroke="#000000" points="238.5793,-53.8184 247.7036,-48.4334 237.2127,-46.9531 238.5793,-53.8184"/>
</g>
<!-- proc~substitute -->
<g id="proc~~string_to_values~~CallsGraph_node6" class="node">
<title>proc~substitute</title>
<g id="a_proc~~string_to_values~~CallsGraph_node6"><a xlink:href=".././proc/substitute.html" xlink:title="substitute">
<polygon fill="#d9534f" stroke="#d9534f" points="492.5,-129 434.5,-129 434.5,-105 492.5,-105 492.5,-129"/>
<text text-anchor="middle" x="463.5" y="-114.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">substitute</text>
</a>
</g>
</g>
<!-- proc~a2d&#45;&gt;proc~substitute -->
<g id="proc~~string_to_values~~CallsGraph_edge5" class="edge">
<title>proc~a2d&#45;&gt;proc~substitute</title>
<path fill="none" stroke="#000000" d="M392.1763,-90.2084C402.3061,-94.0135 414.0068,-98.4087 424.964,-102.5245"/>
<polygon fill="#000000" stroke="#000000" points="423.7513,-105.8078 434.3434,-106.0478 426.2129,-99.2548 423.7513,-105.8078"/>
</g>
<!-- proc~decodebase -->
<g id="proc~~string_to_values~~CallsGraph_node7" class="node">
<title>proc~decodebase</title>
<g id="a_proc~~string_to_values~~CallsGraph_node7"><a xlink:href=".././proc/decodebase.html" xlink:title="decodebase">
<polygon fill="#d94e8f" stroke="#d94e8f" points="499,-35 428,-35 428,-11 499,-11 499,-35"/>
<text text-anchor="middle" x="463.5" y="-20.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">decodebase</text>
</a>
</g>
</g>
<!-- proc~a2d&#45;&gt;proc~decodebase -->
<g id="proc~~string_to_values~~CallsGraph_edge6" class="edge">
<title>proc~a2d&#45;&gt;proc~decodebase</title>
<path fill="none" stroke="#000000" d="M385.8893,-67.9118C399.8627,-59.8257 418.4565,-49.0658 433.9413,-40.105"/>
<polygon fill="#000000" stroke="#000000" points="435.7386,-43.1088 442.6408,-35.0708 432.2325,-37.0501 435.7386,-43.1088"/>
</g>
<!-- interface~v2s -->
<g id="proc~~string_to_values~~CallsGraph_node8" class="node">
<title>interface~v2s</title>
<g id="a_proc~~string_to_values~~CallsGraph_node8"><a xlink:href=".././interface/v2s.html" xlink:title="v2s">
<polygon fill="#a7506f" stroke="#a7506f" points="490.5,-87 436.5,-87 436.5,-63 490.5,-63 490.5,-87"/>
<text text-anchor="middle" x="463.5" y="-72.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">v2s</text>
</a>
</g>
</g>
<!-- proc~a2d&#45;&gt;interface~v2s -->
<g id="proc~~string_to_values~~CallsGraph_edge7" class="edge">
<title>proc~a2d&#45;&gt;interface~v2s</title>
<path fill="none" stroke="#000000" d="M392.1763,-78.6205C402.727,-78.0849 414.9818,-77.4629 426.3257,-76.887"/>
<polygon fill="#000000" stroke="#000000" points="426.6027,-80.3776 436.4124,-76.375 426.2478,-73.3866 426.6027,-80.3776"/>
</g>
<!-- proc~a2i&#45;&gt;proc~a2d -->
<g id="proc~~string_to_values~~CallsGraph_edge8" class="edge">
<title>proc~a2i&#45;&gt;proc~a2d</title>
<path fill="none" stroke="#000000" d="M302.003,-83.4998C310.0277,-83.054 318.9665,-82.5574 327.5309,-82.0816"/>
<polygon fill="#000000" stroke="#000000" points="327.9146,-85.5658 337.705,-81.5164 327.5262,-78.5766 327.9146,-85.5658"/>
</g>
<!-- proc~a2r&#45;&gt;proc~a2d -->
<g id="proc~~string_to_values~~CallsGraph_edge9" class="edge">
<title>proc~a2r&#45;&gt;proc~a2d</title>
<path fill="none" stroke="#000000" d="M302.003,-54.1012C310.2922,-57.509 319.5569,-61.3178 328.3766,-64.9437"/>
<polygon fill="#000000" stroke="#000000" points="327.1253,-68.2135 337.705,-68.7787 329.7869,-61.7392 327.1253,-68.2135"/>
</g>
<!-- proc~decodebase&#45;&gt;interface~string_to_value -->
<g id="proc~~string_to_values~~CallsGraph_edge10" class="edge">
<title>proc~decodebase&#45;&gt;interface~string_to_value</title>
<path fill="none" stroke="#000000" d="M427.7671,-17.5008C384.4816,-12.0492 309.6939,-6.5332 248,-22 229.004,-26.7623 209.5822,-37.0989 194.8093,-46.3254"/>
<polygon fill="#000000" stroke="#000000" points="192.7462,-43.4916 186.2573,-51.8669 196.5528,-49.3662 192.7462,-43.4916"/>
</g>
<!-- proc~l2s -->
<g id="proc~~string_to_values~~CallsGraph_node9" class="node">
<title>proc~l2s</title>
<g id="a_proc~~string_to_values~~CallsGraph_node9"><a xlink:href=".././proc/l2s.html" xlink:title="l2s">
<polygon fill="#d94e8f" stroke="#d94e8f" points="589,-150 535,-150 535,-126 589,-126 589,-150"/>
<text text-anchor="middle" x="562" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">l2s</text>
</a>
</g>
</g>
<!-- interface~v2s&#45;&gt;proc~l2s -->
<g id="proc~~string_to_values~~CallsGraph_edge11" class="edge">
<title>interface~v2s&#45;&gt;proc~l2s</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M484.2625,-87.0288C489.1281,-89.9174 494.271,-93.0279 499,-96 511.2949,-103.727 524.7099,-112.6061 535.989,-120.2041"/>
<polygon fill="#000000" stroke="#000000" points="534.2716,-123.2681 544.5145,-125.9764 538.1962,-117.4717 534.2716,-123.2681"/>
</g>
<!-- proc~r2s -->
<g id="proc~~string_to_values~~CallsGraph_node10" class="node">
<title>proc~r2s</title>
<g id="a_proc~~string_to_values~~CallsGraph_node10"><a xlink:href=".././proc/r2s.html" xlink:title="r2s">
<polygon fill="#d94e8f" stroke="#d94e8f" points="589,-108 535,-108 535,-84 589,-84 589,-108"/>
<text text-anchor="middle" x="562" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">r2s</text>
</a>
</g>
</g>
<!-- interface~v2s&#45;&gt;proc~r2s -->
<g id="proc~~string_to_values~~CallsGraph_edge12" class="edge">
<title>interface~v2s&#45;&gt;proc~r2s</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M490.6763,-80.7939C501.227,-83.0433 513.4818,-85.656 524.8257,-88.0745"/>
<polygon fill="#000000" stroke="#000000" points="524.4024,-91.5629 534.9124,-90.225 525.862,-84.7167 524.4024,-91.5629"/>
</g>
<!-- proc~i2s -->
<g id="proc~~string_to_values~~CallsGraph_node11" class="node">
<title>proc~i2s</title>
<g id="a_proc~~string_to_values~~CallsGraph_node11"><a xlink:href=".././proc/i2s.html" xlink:title="i2s">
<polygon fill="#d94e8f" stroke="#d94e8f" points="589,-66 535,-66 535,-42 589,-42 589,-66"/>
<text text-anchor="middle" x="562" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">i2s</text>
</a>
</g>
</g>
<!-- interface~v2s&#45;&gt;proc~i2s -->
<g id="proc~~string_to_values~~CallsGraph_edge13" class="edge">
<title>interface~v2s&#45;&gt;proc~i2s</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M490.6763,-69.2061C501.227,-66.9567 513.4818,-64.344 524.8257,-61.9255"/>
<polygon fill="#000000" stroke="#000000" points="525.862,-65.2833 534.9124,-59.775 524.4024,-58.4371 525.862,-65.2833"/>
</g>
<!-- proc~d2s -->
<g id="proc~~string_to_values~~CallsGraph_node12" class="node">
<title>proc~d2s</title>
<g id="a_proc~~string_to_values~~CallsGraph_node12"><a xlink:href=".././proc/d2s.html" xlink:title="d2s">
<polygon fill="#d94e8f" stroke="#d94e8f" points="589,-24 535,-24 535,0 589,0 589,-24"/>
<text text-anchor="middle" x="562" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">d2s</text>
</a>
</g>
</g>
<!-- interface~v2s&#45;&gt;proc~d2s -->
<g id="proc~~string_to_values~~CallsGraph_edge14" class="edge">
<title>interface~v2s&#45;&gt;proc~d2s</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M482.4918,-62.853C497.2086,-53.4402 517.8106,-40.2632 534.3555,-29.6813"/>
<polygon fill="#000000" stroke="#000000" points="536.5281,-32.4464 543.0665,-24.1097 532.7564,-26.5494 536.5281,-32.4464"/>
</g>
<!-- proc~value_to_string -->
<g id="proc~~string_to_values~~CallsGraph_node13" class="node">
<title>proc~value_to_string</title>
<g id="a_proc~~string_to_values~~CallsGraph_node13"><a xlink:href=".././proc/value_to_string.html" xlink:title="value_to_string">
<polygon fill="#d9534f" stroke="#d9534f" points="710,-87 625,-87 625,-63 710,-63 710,-87"/>
<text text-anchor="middle" x="667.5" y="-72.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">value_to_string</text>
</a>
</g>
</g>
<!-- proc~l2s&#45;&gt;proc~value_to_string -->
<g id="proc~~string_to_values~~CallsGraph_edge15" class="edge">
<title>proc~l2s&#45;&gt;proc~value_to_string</title>
<path fill="none" stroke="#000000" d="M582.3415,-125.853C598.2501,-116.353 620.5794,-103.0189 638.382,-92.388"/>
<polygon fill="#000000" stroke="#000000" points="640.4298,-95.2418 647.221,-87.1097 636.8408,-89.2318 640.4298,-95.2418"/>
</g>
<!-- proc~r2s&#45;&gt;proc~value_to_string -->
<g id="proc~~string_to_values~~CallsGraph_edge16" class="edge">
<title>proc~r2s&#45;&gt;proc~value_to_string</title>
<path fill="none" stroke="#000000" d="M589.1689,-90.592C597.0647,-89.0203 605.9694,-87.2478 614.8697,-85.4762"/>
<polygon fill="#000000" stroke="#000000" points="615.7381,-88.8721 624.8623,-83.4871 614.3714,-82.0068 615.7381,-88.8721"/>
</g>
<!-- proc~i2s&#45;&gt;proc~value_to_string -->
<g id="proc~~string_to_values~~CallsGraph_edge17" class="edge">
<title>proc~i2s&#45;&gt;proc~value_to_string</title>
<path fill="none" stroke="#000000" d="M589.1689,-59.408C597.0647,-60.9797 605.9694,-62.7522 614.8697,-64.5238"/>
<polygon fill="#000000" stroke="#000000" points="614.3714,-67.9932 624.8623,-66.5129 615.7381,-61.1279 614.3714,-67.9932"/>
</g>
<!-- proc~d2s&#45;&gt;proc~value_to_string -->
<g id="proc~~string_to_values~~CallsGraph_edge18" class="edge">
<title>proc~d2s&#45;&gt;proc~value_to_string</title>
<path fill="none" stroke="#000000" d="M582.3415,-24.147C598.2501,-33.647 620.5794,-46.9811 638.382,-57.612"/>
<polygon fill="#000000" stroke="#000000" points="636.8408,-60.7682 647.221,-62.8903 640.4298,-54.7582 636.8408,-60.7682"/>
</g>
<!-- proc~trimzeros -->
<g id="proc~~string_to_values~~CallsGraph_node14" class="node">
<title>proc~trimzeros</title>
<g id="a_proc~~string_to_values~~CallsGraph_node14"><a xlink:href=".././proc/trimzeros.html" xlink:title="trimzeros">
<polygon fill="#d9534f" stroke="#d9534f" points="803,-87 746,-87 746,-63 803,-63 803,-87"/>
<text text-anchor="middle" x="774.5" y="-72.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">trimzeros</text>
</a>
</g>
</g>
<!-- proc~value_to_string&#45;&gt;proc~trimzeros -->
<g id="proc~~string_to_values~~CallsGraph_edge19" class="edge">
<title>proc~value_to_string&#45;&gt;proc~trimzeros</title>
<path fill="none" stroke="#000000" d="M710.0967,-75C718.538,-75 727.3576,-75 735.6658,-75"/>
<polygon fill="#000000" stroke="#000000" points="735.8491,-78.5001 745.849,-75 735.849,-71.5001 735.8491,-78.5001"/>
</g>
</g>
</svg>
</div><script>var panprocstring_to_valuesCallsGraph = svgPanZoom('#procstring_to_valuesCallsGraph', {zoomEnabled: true,controlIconsEnabled: true, fit: true, center: true,}); </script><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>